> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt
> Use this file to discover all available pages before exploring further.

# Get movement by ID

> Retrieve a specific nomenclature movement by its ID.



## OpenAPI

````yaml get /v1/nomenclature/movements/{id}
openapi: 3.0.0
info:
  title: Nomenclature Movements API
  version: 1.0.0
servers:
  - url: https://api.nomi.tools
    description: Main API server
security:
  - basicAuth: []
paths:
  /v1/nomenclature/movements/{id}:
    get:
      tags:
        - Nomenclature / Movements
      summary: Get movement by ID
      description: Retrieve a specific nomenclature movement by its ID.
      operationId: getMovementById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Accept
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
      responses:
        '200':
          description: Movement details
          content:
            application/json:
              schema:
                type: object
                properties:
                  movement:
                    $ref: '#/components/schemas/NomenclatureMovementPayload'
                  defaultCurrency:
                    type: object
components:
  schemas:
    NomenclatureMovementPayload:
      type: object
      required:
        - date
        - type
        - legalEntityId
        - currencyId
        - parts
      properties:
        id:
          type: string
          nullable: true
        externalId:
          type: string
          nullable: true
        date:
          type: string
          format: date
        type:
          type: string
          enum:
            - buy
            - sell
            - adjustment
            - write-off
        legalEntityId:
          type: string
        currencyId:
          type: string
        counterpartyId:
          type: string
          nullable: true
        projectId:
          type: string
          nullable: true
        notes:
          type: string
          nullable: true
        parts:
          type: array
          items:
            $ref: '#/components/schemas/NomenclatureMovementPartPayload'
        tags:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                nullable: true
              name:
                type: string
        fileId:
          type: string
          nullable: true
        file2Id:
          type: string
          nullable: true
        file3Id:
          type: string
          nullable: true
    NomenclatureMovementPartPayload:
      type: object
      required:
        - nomenclatureId
        - quantity
        - unitPrice
      properties:
        id:
          type: string
          nullable: true
        externalId:
          type: string
          nullable: true
        nomenclatureId:
          type: string
        quantity:
          type: number
        unitPrice:
          type: number
        vatPercent:
          type: number
          nullable: true
        vatAmount:
          type: number
          nullable: true
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Use HTTP Basic Authentication.  Provide your email as login and PPT
        token as the password.

````